<?php




function contabilidad($bodega,$tipoMovimiento,$valor,
$numeroMoimiento,$nit,$valorgasto,$observacion,
$excento,$excluido,$base19,$iva19,$base5,$iva5,
$fechaM,$valorMovimiento,$otroiva,$baseotro,$ivaipc,
$baseipc,$excentoCos=0,$excluidoCos=0,$base5Cos=0,$iva5Cos=0,
$base19Cos=0,$iva19Cos=0,$otroivaCos=0,$baseotroCos=0,
$tarjetas=0,$credito=0,$trasferencias=0,$contado=0,$cuentaGasto=0,$cuentaFormapagoGasto=0,$retencionComp=0,$descuCompra=0,$tipoRete=0,$otrosBANCO=0,$cuentaDestino=0){
    $connn=new conexion();
    $conectarr=$connn->conectar();



    $retenCunoVienticinco=0;
    $retenCdosCinco=0;
    $retenCtresCinco=0;

    $retenCuatro=0;
    $retenSeis=0;

    if($tipoRete=="2.5"){
        $retenCdosCinco=$retencionComp;
    }else if($tipoRete=="1.25"){

        $retenCunoVienticinco=$retencionComp; 
    }
    
    
    
    else if($tipoRete=="3.5"){

        $retenCtresCinco=$retencionComp; 
    }else if($tipoRete=="4"){
        $retenCuatro=$retencionComp;
    }else  if($tipoRete=="6"){
        $retenSeis=$retencionComp;

    }


    $sqlSaldo=$conectarr->query("SELECT * FROM `empresa` WHERE bodegaEm=$bodega");
    $saldoAct=mysqli_fetch_object($sqlSaldo);
    $saldoActual=$saldoAct->saldo;
    $nuevoSaldo=0;
    $egreso=0;
    $ingreso=0;
    $ActivoCOntabilidad=$saldoAct->Acti_contabilidad;
    $MismaCuentaTodos=$saldoAct->MismaCuentaTodos;

    if($ActivoCOntabilidad==1){


        
        
       

        if($tipoMovimiento=="Gasto" || $tipoMovimiento=="Pagos"){



              $cero=0;

            
                $contabilidad=$conectarr->prepare("INSERT INTO contabilidad(`tipoMovimiento`, `ingreso`, `egreso`,
                `numeroMoimiento`, `nit`, `bodegaIng`, `valorgasto`, `observacion`, `excento`, `excluido`, `iva5`,
                `saldofinal`, `base5`, `iva19`, `base19`,`fechaM`,`valorMovimiento`,`civaipc`, `cbaseipc`, `civaotro`, `cbaseotro`,`cuentaNum`) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)");
                $contabilidad->bind_param("ssssssssssssssssssssss",$tipoMovimiento,$cero,$valorgasto,$numeroMoimiento,$nit,$bodega,$valorgasto,$observacion,
                $cero,$cero,$cero, $cero,$cero,$cero,$cero,$fechaM,$valorMovimiento,$cero,$cero,$cero,$cero,$cuentaGasto);
                $contabilidad->execute(); 
            

                $contabilidad=$conectarr->prepare("INSERT INTO contabilidad(`tipoMovimiento`, `ingreso`, `egreso`,
                `numeroMoimiento`, `nit`, `bodegaIng`, `valorgasto`, `observacion`, `excento`, `excluido`, `iva5`,
                `saldofinal`, `base5`, `iva19`, `base19`,`fechaM`,`valorMovimiento`,`civaipc`, `cbaseipc`, `civaotro`, `cbaseotro`,`cuentaNum`) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)");
                $contabilidad->bind_param("ssssssssssssssssssssss",$tipoMovimiento,$valorgasto,$cero,$numeroMoimiento,$nit,$bodega,$valorgasto,$observacion,
                $cero,$cero,$cero, $nuevoSaldo,$cero,$cero,$cero,$fechaM,$valorMovimiento,$cero,$cero,$cero,$cero,$cuentaFormapagoGasto);
                $contabilidad->execute();




        }else{
            if(!is_numeric($saldoActual)){
                $saldoActual=0;
            }
            if(!is_numeric($valorgasto)){
                $valorgasto=0;
            }

            if($valorgasto>0){
                
                $egreso=$valor; 
                $nuevoSaldo=(int)$saldoActual;

            }else{

                if($tipoMovimiento=="Factura"){            
                    $egreso=$valor; 
                    $nuevoSaldo=(int)$saldoActual-$egreso;

                    
                    
                }elseif($tipoMovimiento=="Compra"){

                    $ingreso=$valor; 
                    $nuevoSaldo=(int)$saldoActual+ $ingreso;

                }elseif($tipoMovimiento=="Devolucion"){

                    $ingreso=$valor; 
                    $nuevoSaldo=(int)$saldoActual+ $ingreso;

                }elseif($tipoMovimiento=="Entrada"){

                    $ingreso=$valor; 
                    $nuevoSaldo=(int)$saldoActual+ $ingreso;

                } elseif($tipoMovimiento=="Salida"){            
                    $egreso=$valor; 
                    $nuevoSaldo=(int)$saldoActual-$egreso;
                    
                }
            

            }

               //CUENTAS CONTABLES
                    // if($MismaCuentaTodos==1){
                    //     $consulta=("SELECT * FROM `tiposmoviminetos` WHERE tipoMovimento='$tipoMovimiento' and  bodegaMovi=1");
                    // }else{
                    //     $consulta=("SELECT * FROM `tiposmoviminetos` WHERE tipoMovimento='$tipoMovimiento' and  bodegaMovi=$bodega");
                    // } 

                    $consulta=("SELECT * FROM `tiposmoviminetos` WHERE tipoMovimento='$tipoMovimiento' and  bodegaMovi=1");

                   $resultado=$conectarr->query($consulta);            
                    $fila=$resultado->fetch_all(MYSQLI_ASSOC);


                   
                if(count($fila)>0){
                    foreach($fila as $item)
                     {
                        $debito=0;
                        $credicto=0;


                        $excentoC=0;
                        $excluidoC=0;
                        $iva5C=0;                        
                        $base5C=0;
                        $iva19C=0;
                        $base19C=0;
                        $ivaipcC=0;
                        $baseipcC=0;
                        $otroivaC=0;
                        $baseotroC=0;

                       

                        $Cuenta=$item["CuentaM"];
                       
                        switch ($item["TipoValor"]) {
                            case 'C'://Costo_Compra
                                if($item["DEBITO"]==1){
                                    $debito=$valorMovimiento; 
                                }else{
                                    $debito=0;   
                                }
                                if($item["CREDITO"]==1){
                                    $credicto=$valorMovimiento; 
                                } else{
                                    $credicto=0;
                                }
                                
                                break;
                            case 'T'://caja 

                                if($item["DEBITO"]==1){
                                    $debito=$contado; 
                                }else{
                                    $debito=0;   
                                }

                                if($item["CREDITO"]==1){
                                    $credicto=$contado; 
                                } else{
                                    $credicto=0;
                                }

                                if($MismaCuentaTodos==0)
                                {
                            
                                  $cuen=$conectarr->query("SELECT * FROM `tiposmoviminetos` WHERE tipoMovimento='$tipoMovimiento' and TipoValor='T'  and bodegaMovi=$bodega" );
                                  
                                    if( $fil=mysqli_fetch_object($cuen)){
                                        $Cuenta=$fil->CuentaM;
                                    }

                                }


                                break;
                             case 'I'://Total_Iva

                                if($item["DEBITO"]==1){
                                    $debito=$iva5+$iva19+$ivaipc+$otroiva; 
                                }else{
                                    $debito=0;   
                                }
    
                                if($item["CREDITO"]==1){
                                    $credicto=$iva5+$iva19+$ivaipc+$otroiva; 
                                } else{
                                    $credicto=0;
                                }

                             

                                break;
                            case 'I5'://Iva_5_Venta
                                if($item["DEBITO"]==1){
                                    $debito=$iva5; 
                                }else{
                                    $debito=0;   
                                }
    
                                if($item["CREDITO"]==1){
                                    $credicto=$iva5; 
                                } else{
                                    $credicto=0;
                                }

                                $excentoC= $excento;
                                $excluidoC=$excluido;
                                $iva5C=$iva5;
                                $base5C=$base5;
                                $iva19C=$iva19;
                                $base19C= $base19;
                                $ivaipcC=$ivaipc;
                                $baseipcC=$baseipc;
                                $otroivaC= $otroiva;
                                $baseotroC=$baseotro;

                                break;
                            case 'B5'://Base_5_Venta
                                if($item["DEBITO"]==1){
                                    $debito=$base5; 
                                }else{
                                    $debito=0;   
                                }
    
                                if($item["CREDITO"]==1){
                                    $credicto=$base5; 
                                } else{
                                    $credicto=0;
                                }

                                break;                            
                            case 'I19'://Iva_19_Venta
                                if($item["DEBITO"]==1){
                                    $debito=$iva19; 
                                }else{
                                    $debito=0;   
                                }
    
                                if($item["CREDITO"]==1){
                                    $credicto=$iva19; 
                                } else{
                                    $credicto=0;
                                }

                                $excentoC= $excento;
                                $excluidoC=$excluido;
                                $iva5C=$iva5;
                                $base5C=$base5;
                                $iva19C=$iva19;
                                $base19C= $base19;
                                $ivaipcC=$ivaipc;
                                $baseipcC=$baseipc;
                                $otroivaC= $otroiva;
                                $baseotroC=$baseotro;

                                break;
                                
                            case 'B19'://Base_19_Venta
                                if($item["DEBITO"]==1){
                                    $debito=$base19; 
                                }else{
                                    $debito=0;   
                                }
    
                                if($item["CREDITO"]==1){
                                    $credicto=$base19; 
                                } else{
                                    $credicto=0;
                                }
                               
                                break;
                            case 'I8'://Iva_ImpCons_Venta
                                if($item["DEBITO"]==1){
                                    $debito=$ivaipc; 
                                }else{
                                    $debito=0;   
                                }
    
                                if($item["CREDITO"]==1){
                                    $credicto=$ivaipc; 
                                } else{
                                    $credicto=0;
                                }

                                break;
                                    
                            case 'B8'://Base_ImpCons_Venta
                                if($item["DEBITO"]==1){
                                    $debito=$baseipc; 
                                }else{
                                    $debito=0;   
                                }
    
                                if($item["CREDITO"]==1){
                                    $credicto=$baseipc; 
                                } else{
                                    $credicto=0;
                                }


                                break;

                            case 'BE'://Base_Excento_Venta
                                if($item["DEBITO"]==1){
                                    $debito=$excento; 
                                }else{
                                    $debito=0;   
                                }
    
                                if($item["CREDITO"]==1){
                                    $credicto=$excento; 
                                } else{
                                    $credicto=0;
                                }
                                break;
                            case 'BX'://Base_Excluido_Venta
                                if($item["DEBITO"]==1){
                                    $debito=$excluido; 
                                }else{
                                    $debito=0;   
                                }
    
                                if($item["CREDITO"]==1){
                                    $credicto=$excluido; 
                                } else{
                                    $credicto=0;
                                }

                                break;



                                // $retenCdosCinco=0;
                                // $retenCtresCinco=0;

                                // $retenCuatro=0;
                                // $retenSeis=0;

                                // retencion compra


                            case 'RT125':

                                    if($item["DEBITO"]==1){
                                        $debito=$retenCunoVienticinco; 
                                    }else{
                                        $debito=0;   
                                    }
        
                                    if($item["CREDITO"]==1){
                                        $credicto=$retenCunoVienticinco; 
                                    } else{
                                        $credicto=0;
                                    }



                                    break;


                                case 'RT25':

                                    if($item["DEBITO"]==1){
                                        $debito=$retenCdosCinco; 
                                    }else{
                                        $debito=0;   
                                    }
        
                                    if($item["CREDITO"]==1){
                                        $credicto=$retenCdosCinco; 
                                    } else{
                                        $credicto=0;
                                    }



                                    break;
                                    case 'RT35':

                                        if($item["DEBITO"]==1){
                                            $debito=$retenCtresCinco; 
                                        }else{
                                            $debito=0;   
                                        }
            
                                        if($item["CREDITO"]==1){
                                            $credicto=$retenCtresCinco; 
                                        } else{
                                            $credicto=0;
                                        }
    
    
                                        break;
                                        case 'RT4':

                                            if($item["DEBITO"]==1){
                                                $debito=$retenCuatro; 
                                            }else{
                                                $debito=0;   
                                            }
                
                                            if($item["CREDITO"]==1){
                                                $credicto=$retenCuatro; 
                                            } else{
                                                $credicto=0;
                                            }
        
        
                                            break;

                                            case 'RT6':

                                                if($item["DEBITO"]==1){
                                                    $debito=$retenSeis; 
                                                }else{
                                                    $debito=0;   
                                                }
                    
                                                if($item["CREDITO"]==1){
                                                    $credicto=$retenSeis; 
                                                } else{
                                                    $credicto=0;
                                                }
            
            
                                                break;
                                    case 'DEC'://descuento compra
                                        if($item["DEBITO"]==1){
                                            $debito=$descuCompra; 
                                        }else{
                                            $debito=0;   
                                        }
            
                                        if($item["CREDITO"]==1){
                                            $credicto=$descuCompra; 
                                        } else{
                                            $credicto=0;
                                        }

                                        if($MismaCuentaTodos==0)
                                        {
                                    
                                          $cuen=$conectarr->query("SELECT * FROM `tiposmoviminetos` WHERE tipoMovimento='$tipoMovimiento' and TipoValor='DES'  and bodegaMovi=$bodega" );
                                          
                                            if( $fil=mysqli_fetch_object($cuen)){
                                                $Cuenta=$fil->CuentaM;
                                            }
        
                                        }
        
                                        break;

                            case 'I5C'://Iva_5_Compra
                                if($item["DEBITO"]==1){
                                    $debito=$iva5Cos; 
                                }else{
                                    $debito=0;   
                                }
    
                                if($item["CREDITO"]==1){
                                    $credicto=$iva5Cos; 
                                } else{
                                    $credicto=0;
                                }

                                break;

                            case 'B5C'://Base_5_Compra
                                if($item["DEBITO"]==1){
                                    $debito=$base5Cos; 
                                }else{
                                    $debito=0;   
                                }
    
                                if($item["CREDITO"]==1){
                                    $credicto=$base5Cos; 
                                } else{
                                    $credicto=0;
                                }
                                break;



                            case 'I19C'://Iva_19_Compra
                                if($item["DEBITO"]==1){
                                    $debito=$iva19Cos; 
                                }else{
                                    $debito=0;   
                                }
    
                                if($item["CREDITO"]==1){
                                    $credicto=$iva19Cos; 
                                } else{
                                    $credicto=0;
                                }

                                break;

                            case 'B19C'://Base_19_Compra

                                if($item["DEBITO"]==1){
                                    $debito=$base19Cos; 
                                }else{
                                    $debito=0;   
                                }
    
                                if($item["CREDITO"]==1){
                                    $credicto=$base19Cos; 
                                } else{
                                    $credicto=0;
                                }
                                break;

                            case 'BEC'://Base_Excento_Compra
                                
                                if($item["DEBITO"]==1){
                                    
                                
                                    $debito=$excentoCos; 


                                }else{

                                    $debito=0; 

                                }
    
                                if($item["CREDITO"]==1){
                                    $credicto=$excentoCos; 
                                } else{
                                    $credicto=0;
                                }
                                break;
                            case 'BXC'://Base_Excluido_Compra

                                            
                                if($item["DEBITO"]==1){
                                    $debito=$excluidoCos; 
                                }else{
                                    $debito=0;   
                                }
    
                                if($item["CREDITO"]==1){
                                    $credicto=$excluidoCos; 
                                } else{
                                    $credicto=0;
                                }
                                break;



                            


                            case 'TJ'://Tarjetas
                                if($item["DEBITO"]==1){
                                    $debito=$tarjetas; 
                                }else{
                                    $debito=0;   
                                }
    
                                if($item["CREDITO"]==1){
                                    $credicto=$tarjetas; 
                                } else{
                                    $credicto=0;
                                }


                                if($MismaCuentaTodos==0)
                                {
                            
                                  $cuen=$conectarr->query("SELECT * FROM `tiposmoviminetos` WHERE tipoMovimento='$tipoMovimiento' and TipoValor='TJ'  and bodegaMovi=$bodega" );
                                  
                                    if( $fil=mysqli_fetch_object($cuen)){
                                        $Cuenta=$fil->CuentaM;
                                    }

                                }

                                break;

                            case 'CRD'://Credito
                                if($item["DEBITO"]==1){
                                    $debito=$credito; 
                                }else{
                                    $debito=0;   
                                }
    
                                if($item["CREDITO"]==1){
                                    $credicto=$credito; 
                                } else{
                                    $credicto=0;
                                }

                                if($MismaCuentaTodos==0)
                                {
                            
                                  $cuen=$conectarr->query("SELECT * FROM `tiposmoviminetos` WHERE tipoMovimento='$tipoMovimiento' and TipoValor='CRD'  and bodegaMovi=$bodega" );
                                  
                                    if( $fil=mysqli_fetch_object($cuen)){
                                        $Cuenta=$fil->CuentaM;
                                    }

                                }

                                break;


                        
                                case 'TRAS'://trasfere
                                    if($item["DEBITO"]==1){
                                        $debito=$trasferencias; 
                                    }else{
                                        $debito=0;   
                                    }
        
                                    if($item["CREDITO"]==1){
                                        $credicto=$trasferencias; 
                                    } else{
                                        $credicto=0;
                                    }

                                    if($MismaCuentaTodos==0)
                                    {
                                
                                      $cuen=$conectarr->query("SELECT * FROM `tiposmoviminetos` WHERE tipoMovimento='$tipoMovimiento' and TipoValor='TRAS'  and bodegaMovi=$bodega" );
                                      
                                        if( $fil=mysqli_fetch_object($cuen)){
                                            $Cuenta=$fil->CuentaM;
                                        }
    
                                    }

                                    break;   
                            // case 'CRD'://Credito
                            //         if($item["DEBITO"]==1){
                            //             $debito=$credito; 
                            //         }else{
                            //             $debito=0;   
                            //         }
        
                            //         if($item["CREDITO"]==1){
                            //             $credicto=$credito; 
                            //         } else{
                            //             $credicto=0;
                            //         }
                            //         break;
                            default:
                                # code...
                                break;
                        }

                       
                    

                        if($credicto>0  ||  $debito>0){
                            $contabilidad=$conectarr->prepare("INSERT INTO contabilidad(`tipoMovimiento`, `ingreso`, `egreso`,
                            `numeroMoimiento`, `nit`, `bodegaIng`, `valorgasto`, `observacion`, `excento`, `excluido`, `iva5`,
                            `saldofinal`, `base5`, `iva19`, `base19`,`fechaM`,`valorMovimiento`,`civaipc`, `cbaseipc`, `civaotro`, `cbaseotro`,`cuentaNum`) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)");
                            $contabilidad->bind_param("ssssssssssssssssssssss",$tipoMovimiento,$credicto,$debito,$numeroMoimiento,$nit,$bodega,$valorgasto,$observacion,
                            $excentoC,$excluidoC,$iva5C, $nuevoSaldo,$base5C,$iva19C,$base19C,$fechaM,$valorMovimiento,$ivaipcC,$baseipcC,$otroivaC,$baseotroC,$Cuenta);
                            $contabilidad->execute(); 
                        }


                     }


       
                if($otrosBANCO>0 && $cuentaDestino != 0 ){
                   
                            // movimiento otros bancos
                            if($tipoMovimiento=="Factura"){
                                
                                $credito=0;
                                $debito=$otrosBANCO;

                                $contabilidad=$conectarr->prepare("INSERT INTO contabilidad(`tipoMovimiento`, `ingreso`, `egreso`,
                                `numeroMoimiento`, `nit`, `bodegaIng`, `valorgasto`, `observacion`, `excento`, `excluido`, `iva5`,
                                `saldofinal`, `base5`, `iva19`, `base19`,`fechaM`,`valorMovimiento`,`civaipc`, `cbaseipc`, `civaotro`, `cbaseotro`,`cuentaNum`) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)");
                                $contabilidad->bind_param("ssssssssssssssssssssss",$tipoMovimiento,$credito, $debito,$numeroMoimiento,$nit,$bodega,$valorgasto,$observacion,
                                $excentoC,$excluidoC,$iva5C, $nuevoSaldo,$base5C,$iva19C,$base19C,$fechaM,$valorMovimiento,$ivaipcC,$baseipcC,$otroivaC,$baseotroC,$cuentaDestino);
                                $contabilidad->execute(); 


                
                            }elseif($tipoMovimiento=="Devolucion"){



                                $credito=$otrosBANCO;
                                $debito=0;

                                $contabilidad=$conectarr->prepare("INSERT INTO contabilidad(`tipoMovimiento`, `ingreso`, `egreso`,
                                `numeroMoimiento`, `nit`, `bodegaIng`, `valorgasto`, `observacion`, `excento`, `excluido`, `iva5`,
                                `saldofinal`, `base5`, `iva19`, `base19`,`fechaM`,`valorMovimiento`,`civaipc`, `cbaseipc`, `civaotro`, `cbaseotro`,`cuentaNum`) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)");
                                $contabilidad->bind_param("ssssssssssssssssssssss",$tipoMovimiento,$credito, $debito,$numeroMoimiento,$nit,$bodega,$valorgasto,$observacion,
                                $excentoC,$excluidoC,$iva5C, $nuevoSaldo,$base5C,$iva19C,$base19C,$fechaM,$valorMovimiento,$ivaipcC,$baseipcC,$otroivaC,$baseotroC,$cuentaDestino);
                                $contabilidad->execute(); 



                            //FIN CUENTAS CONTABLES
                        }
                            //fin si tamaño array
                    }
            
            
            
            
            
            
            
            
            
                     if($tipoMovimiento=="Gasto"){


            }else{
                $sqlSaldo=$conectarr->query("UPDATE `empresa` SET `saldo`='$nuevoSaldo'  WHERE bodegaEm=$bodega");
            }
          }
    
        }
    
        


}
}

function CajaMayor($moviminetoCj, $detalleMoviCj, $usuarioMoviCj,$bodegaMoviCj, $turnoMoviCj, $idmovimiento,
  $fechaMovi,$efectivo,$bancos,$tipoOperacion,$cliente,$TRAS=0)
{
    if($efectivo>0){
        guardaCajamayor($moviminetoCj, $detalleMoviCj, $usuarioMoviCj,$bodegaMoviCj, $turnoMoviCj, $idmovimiento,
 $fechaMovi,$efectivo,0,$tipoOperacion,$cliente,0);
    }
    if($bancos>0){
        guardaCajamayor($moviminetoCj, $detalleMoviCj, $usuarioMoviCj,$bodegaMoviCj, $turnoMoviCj, $idmovimiento,
        $fechaMovi,0,$bancos,$tipoOperacion,$cliente,0);
    }
    if($TRAS>0){

        guardaCajamayor($moviminetoCj, $detalleMoviCj, $usuarioMoviCj,$bodegaMoviCj, $turnoMoviCj, $idmovimiento,
        $fechaMovi,0,0,$tipoOperacion,$cliente,$TRAS); 
    }


}


 function guardaCajamayor($moviminetoCj, $detalleMoviCj, $usuarioMoviCj,$bodegaMoviCj, $turnoMoviCj, $idmovimiento,
 $fechaMovi,$efectivo,$bancos,$tipoOperacion,$cliente,$TRAS=0){
    $connn=new conexion();
    $conectarr=$connn->conectar();

    

    $saldos=$conectarr->query("SELECT `saldoCamEfe`, `saldoCmBanco` FROM `empresa` WHERE bodegaEm =$bodegaMoviCj");
    $saldoAct=mysqli_fetch_object($saldos);
    $saldoEfec=$saldoAct->saldoCamEfe;
    $saldoBanco=$saldoAct->saldoCmBanco;
    
    if(!is_numeric($saldoBanco)){
        $saldoBanco=0;
    }

    if(!is_numeric($saldoEfec)){
        $saldoEfec=0;
    }
    
    if($efectivo>0){
        $saldoAnterior=$saldoEfec;  

        if($tipoOperacion=="suma"){

                      
            $saldoActual=$saldoEfec + $efectivo;

        }else{

                      
            $saldoActual=$saldoEfec - $efectivo;
        }
     
 
        $actuli="INSERT INTO `cajamayor`( `moviminetoCj`, `valorMoviCj`,
         `detalleMoviCj`, `usuarioMoviCj`, `bodegaMoviCj`,
          `saldoAnterior`, `saldoActual`, `turnoMoviCj`, 
          `idmovimiento`, `fechaMovi`, 
          `MetodoPago`,`otroDatomovi`) VALUES ('$moviminetoCj','$efectivo','$detalleMoviCj',
          '$usuarioMoviCj',$bodegaMoviCj,'$saldoAnterior','$saldoActual','$turnoMoviCj','$idmovimiento',
          '$fechaMovi','Contado','$cliente'
          )";


        $resultado=$conectarr->query($actuli);




        $actulizarSal="UPDATE `empresa` SET `saldoCamEfe`='$saldoActual' WHERE bodegaEm=$bodegaMoviCj";
        $r=$conectarr->query($actulizarSal);
    }



     if($bancos>0){
        $saldoAnterior=$saldoBanco;  

        if($tipoOperacion=="suma"){

                      
            $saldoActual=$saldoBanco + $bancos;

        }else{

                      
            $saldoActual=$saldoBanco - $bancos;
        }
     
 
        $actuli="INSERT INTO `cajamayor`( `moviminetoCj`, `valorMoviCj`,
         `detalleMoviCj`, `usuarioMoviCj`, `bodegaMoviCj`,
          `saldoAnterior`, `saldoActual`, `turnoMoviCj`, 
          `idmovimiento`, `fechaMovi`, 
          `MetodoPago`,`otroDatomovi`) VALUES ('$moviminetoCj','$bancos','$detalleMoviCj',
          '$usuarioMoviCj',$bodegaMoviCj,'$saldoAnterior','$saldoActual','$turnoMoviCj','$idmovimiento',
          '$fechaMovi','BancoTa','$cliente'
          )";

        $resultado=$conectarr->query($actuli);

        $actulizarSal="UPDATE `empresa` SET `saldoCmBanco`='$saldoActual' WHERE bodegaEm=$bodegaMoviCj";
        $r=$conectarr->query($actulizarSal);
    }
    if($TRAS>0){
        $saldoAnterior=$saldoBanco;  

        if($tipoOperacion=="suma"){

                      
            $saldoActual=$saldoBanco + $TRAS;

        }else{

                      
            $saldoActual=$saldoBanco - $TRAS;
        }
     
 
        $actuli="INSERT INTO `cajamayor`( `moviminetoCj`, `valorMoviCj`,
         `detalleMoviCj`, `usuarioMoviCj`, `bodegaMoviCj`,
          `saldoAnterior`, `saldoActual`, `turnoMoviCj`, 
          `idmovimiento`, `fechaMovi`, 
          `MetodoPago`,`otroDatomovi`) VALUES ('$moviminetoCj','$TRAS','$detalleMoviCj',
          '$usuarioMoviCj',$bodegaMoviCj,'$saldoAnterior','$saldoActual','$turnoMoviCj','$idmovimiento',
          '$fechaMovi','BancoTf','$cliente'
          )";

        $resultado=$conectarr->query($actuli);

        $actulizarSal="UPDATE `empresa` SET `saldoCmBanco`='$saldoActual' WHERE bodegaEm=$bodegaMoviCj";
        $r=$conectarr->query($actulizarSal);
    }
}


?>